Subject: Re: bug#28506: coreutils 8.28 test suite hangs on APFS filesystem

From: Jim Meyering <[email-masked]>
Date: Mon, 18 Sep 2017 16:40:50 -0700

On Mon, Sep 18, 2017 at 4:26 PM, Jack Howarth
<[email-masked]> wrote:
> On Mon, Sep 18, 2017 at 5:08 PM, Jim Meyering <[email-masked]> wrote:
...
>> Is there any chance your failing test was via a python2 framework? I'm
>> asking (on Pádraig's behalf) because there is a known problem whereby
>> SIGPIPE is mishandled in that case, and that might explain this
>> failure, since the data-generation phase relies on SIGPIPE killing
>> this test's "yes" command.
>
> I doubt it as the hang doesn't happen under 10.13 when run on a JHFS
> formatted volume.

How did you run the tests?